{ ... }:

{
  services.nginx.virtualHosts = {
    "www.clerie.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        return = "301 https://clerie.de$request_uri";
      };
    };

    "clerie.de" = {
      enableACME = true;
      forceSSL = true;
      root = fetchGit {
        url = "https://git.clerie.de/clerie/clerie.de.git";
        ref = "main";
        rev = "7fbb8042100fde4a8524eec656519eb8b48ae68a";
      };
    };
  };
}
